org.richfaces.component

## Class UISequence

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, IterationStateHolder
  Direct Known Subclasses:
    AbstractDataGrid, AbstractList, UIDataTableBase, UIRepeat

      public class UISequence
      extends UIDataAdaptor

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UISequence.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `COMPONENT_FAMILY, COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISequence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `captureOrigValue(javax.faces.context.FacesContext faces)` Save current state of data variable.
    `protected DataComponentState` | `createComponentState()`
    `protected ExtendedDataModel<?>` | `createExtendedDataModel()`
    `protected javax.faces.model.DataModel<?>` | `createFacesModel(Object value)`
    `protected int` | `getActualFirst()`
    `protected int` | `getActualRows()`
    `int` | `getFirst()`
    `String` | `getIterationStatusVar()`
    `String` | `getRelativeClientId(javax.faces.context.FacesContext facesContext)`
    `int` | `getRowIndex()`
    `javax.faces.convert.Converter` | `getRowKeyConverter()`
    `int` | `getRows()`
    `Object` | `getValue()`
    `boolean` | `invokeOnRow(javax.faces.context.FacesContext facesContext, String clientId, javax.faces.component.ContextCallback callback)` Translates the relative row ID back to the original one containing a row key and invokes the callback on the affected row.
    `protected void` | `preEncodeBegin(javax.faces.context.FacesContext context)`
    `void` | `restoreOrigValue(javax.faces.context.FacesContext faces)` Restore value of data variable after processing phase.
    `void` | `setFirst(int first)`
    `void` | `setIterationStatusVar(String iterationStatusVar)`
    `void` | `setRows(int rows)`
    `protected void` | `setupVariable(javax.faces.context.FacesContext faces, boolean rowSelected)` Setup EL variable for different iteration.
    `void` | `setValue(Object value)`
    `void` | `setValueBinding(String name, javax.faces.el.ValueBinding binding)`
    `void` | `setValueExpression(String name, javax.el.ValueExpression binding)`
    `protected void` | `updateState()`
    `protected void` | `updateState(SequenceState state)`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, dataChildren, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, matchesBaseId, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UISequence

          public UISequence()

  - ### Method Detail

    - #### updateState

          protected void updateState(SequenceState state)

    - #### updateState

          protected void updateState()

    - #### getActualFirst

          protected int getActualFirst()

    - #### getActualRows

          protected int getActualRows()

    - #### createFacesModel

          protected javax.faces.model.DataModel<?> createFacesModel(Object value)

    - #### createExtendedDataModel

          protected ExtendedDataModel<?> createExtendedDataModel()

      Specified by:
        `createExtendedDataModel` in class `UIDataAdaptor`

    - #### createComponentState

          protected DataComponentState createComponentState()

      Specified by:
        `createComponentState` in class `UIDataAdaptor`

    - #### getRowKeyConverter

          public javax.faces.convert.Converter getRowKeyConverter()

      Overrides:
        `getRowKeyConverter` in class `UIDataAdaptor`

    - #### getFirst

          public int getFirst()

    - #### setFirst

          public void setFirst(int first)

    - #### getRows

          public int getRows()

    - #### setRows

          public void setRows(int rows)

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)

    - #### getIterationStatusVar

          public String getIterationStatusVar()

    - #### setIterationStatusVar

          public void setIterationStatusVar(String iterationStatusVar)

    - #### getRowIndex

          public int getRowIndex()

    - #### captureOrigValue

          public void captureOrigValue(javax.faces.context.FacesContext faces)

      Description copied from class: `UIDataAdaptor`
      Save current state of data variable.
      Overrides:
        `captureOrigValue` in class `UIDataAdaptor`
      Parameters:
        `faces` - current faces context

    - #### restoreOrigValue

          public void restoreOrigValue(javax.faces.context.FacesContext faces)

      Description copied from class: `UIDataAdaptor`
      Restore value of data variable after processing phase.
      Overrides:
        `restoreOrigValue` in class `UIDataAdaptor`
      Parameters:
        `faces` - current faces context

    - #### setupVariable

          protected void setupVariable(javax.faces.context.FacesContext faces,
                           boolean rowSelected)

      Description copied from class: `UIDataAdaptor`
      Setup EL variable for different iteration. Value of row data and component state will be put into request scope attributes with names given by "var" and "varState" bean properties.

      Changed: does not check for row availability now
      Overrides:
        `setupVariable` in class `UIDataAdaptor`
      Parameters:
        `faces` - current faces context

    - #### setValueBinding

          public void setValueBinding(String name,
                             javax.faces.el.ValueBinding binding)

      Overrides:
        `setValueBinding` in class `javax.faces.component.UIComponentBase`

    - #### setValueExpression

          public void setValueExpression(String name,
                                javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `UIDataAdaptor`

    - #### preEncodeBegin

          protected void preEncodeBegin(javax.faces.context.FacesContext context)

      Overrides:
        `preEncodeBegin` in class `UIDataAdaptor`

    - #### invokeOnRow

          public boolean invokeOnRow(javax.faces.context.FacesContext facesContext,
                            String clientId,
                            javax.faces.component.ContextCallback callback)

      Translates the relative row ID back to the original one containing a row key and invokes the callback on the affected row.
      Overrides:
        `invokeOnRow` in class `UIDataAdaptor`

    - #### getRelativeClientId

          public String getRelativeClientId(javax.faces.context.FacesContext facesContext)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.